aboutsummaryrefslogtreecommitdiff
path: root/test/notmuch-test
diff options
context:
space:
mode:
authorDaniel Kahn Gillmor <dkg@fifthhorseman.net>2019-05-20 13:20:57 -0400
committerDavid Bremner <david@tethera.net>2019-05-20 14:48:56 -0300
commitc88e03058091dcaf2699c28fffc163c3d2adcaf1 (patch)
treea8ad5db46de62dcb7c2505e22b1a1083d34f704e /test/notmuch-test
parent73bf7e532e8388416981d9e2378d10ff04264097 (diff)
tests: fail and report when a parallel build fails (or times out)
When a parallel build fails (or when it times out, if timeout is present), the test suite should not blithely succeed. Catch these failures and at least report them. Signed-off-by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Diffstat (limited to 'test/notmuch-test')
-rwxr-xr-xtest/notmuch-test5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/notmuch-test b/test/notmuch-test
index dbca39ca..bbc2dc31 100755
--- a/test/notmuch-test
+++ b/test/notmuch-test
@@ -49,6 +49,11 @@ if test -z "$NOTMUCH_TEST_SERIALIZE" && command -v parallel >/dev/null ; then
echo "INFO: running tests with moreutils parallel"
$TEST_TIMEOUT_CMD parallel -- $TESTS
fi
+ RES=$?
+ if [[ $RES != 0 ]]; then
+ echo "parallel test suite returned error code $RES"
+ exit $RES
+ fi
else
for test in $TESTS; do
$TEST_TIMEOUT_CMD $test "$@" &